! function($) {
    "use strict";
    var Hotel26Admin = {
        init: function() {
            $(document).ready(Hotel26Admin.ready), $(window).on("load", Hotel26Admin.load), Hotel26Admin.bindUIActions(), $(document).trigger("hotel26Ready")
        },
        ready: function() {},
        load: function() {
            window.dispatchEvent(new Event("resize"))
        },
        resize: function() {},
        bindUIActions: function() {
            var $this, $wrap = $("#wpwrap");
            $("body");
            $wrap.on("click", ".plugins .hotel-26-btn:not(.active)", (function(e) {
                e.preventDefault(), $wrap.find(".plugins .hotel-26-btn.in-progress").length || ($this = $(this), Hotel26Admin.pluginAction($this))
            })), $(document).on("wp-plugin-install-success", Hotel26Admin.pluginInstallSuccess), $(document).on("wp-plugin-install-error", Hotel26Admin.pluginInstallError)
        },
        pluginAction: function($button) {
            if ($button.addClass("in-progress").attr("disabled", "disabled").html(hotel_26_strings.texts[$button.data("action") + "-inprogress"]), "install" === $button.data("action")) wp.updates.shouldRequestFilesystemCredentials && !wp.updates.ajaxLocked && (wp.updates.requestFilesystemCredentials(event), $(document).on("credential-modal-cancel", (function() {
                $button.removeAttr("disabled").removeClass("in-progress").html(hotel_26_strings.texts.install), wp.a11y.speak(wp.updates.l10n.updateCancel, "polite")
            }))), wp.updates.installPlugin({
                slug: $button.data("plugin")
            });
            else {
                var data = {
                    _ajax_nonce: hotel_26_strings.wpnonce,
                    plugin: $button.data("plugin"),
                    action: "hotel-26-plugin-" + $button.data("action")
                };
                $.post(hotel_26_strings.ajaxurl, data, (function(response) {
                    response.success ? $button.data("redirect") ? window.location.href = $button.data("redirect") : location.reload() : $(".plugins .hotel-26-btn.in-progress").removeAttr("disabled").removeClass("in-progress primary").addClass("secondary").html(hotel_26_strings.texts.retry)
                }))
            }
        },
        pluginInstallSuccess: function(event, response) {
            event.preventDefault();
            var activatedSlug, $init = jQuery(event.target).data("init");
            activatedSlug = void 0 === $init ? response.slug : $init;
            var $button = $('.plugins a[data-plugin="' + activatedSlug + '"]');
            $button.data("action", "activate"), Hotel26Admin.pluginAction($button)
        },
        pluginInstallError: function(event, response) {
            event.preventDefault();
            var activatedSlug, $init = jQuery(event.target).data("init");
            activatedSlug = void 0 === $init ? response.slug : $init, $('.plugins a[data-plugin="' + activatedSlug + '"]').attr("disabled", "disabled").removeClass("in-progress primary").addClass("secondary").html(wp.updates.l10n.installFailedShort)
        }
    };
    Hotel26Admin.init(), window.hotel26admin = Hotel26Admin
}(jQuery);

(function($) {
	$('.hotel-26-btn-get-started').addClass('shake');    
})(jQuery);